Rakuten item reviews
curl --request POST \
--url https://api.neuralverge.ai/functions/v1/run-rakuten-items-reviews \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"item": "sawaicoffee-tea/ac-sale-1960",
"max_items": 2
}
'import requests
url = "https://api.neuralverge.ai/functions/v1/run-rakuten-items-reviews"
payload = {
"item": "sawaicoffee-tea/ac-sale-1960",
"max_items": 2
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({item: 'sawaicoffee-tea/ac-sale-1960', max_items: 2})
};
fetch('https://api.neuralverge.ai/functions/v1/run-rakuten-items-reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"session_id": "11111111-1111-1111-1111-111111111111",
"kind": "rakuten_item_reviews",
"item": "sawaicoffee-tea/ac-sale-1960",
"item_path": "sawaicoffee-tea/ac-sale-1960",
"max_items": 2,
"start_page": 1,
"partial": false,
"human": "# Rakuten item reviews\n\n- **Item:** sawaicoffee-tea/ac-sale-1960\n- **Starting page:** 1\n- **Max items:** 2\n- **Records returned:** 2\n- **Proxy traffic:** 2.98 MB",
"machine": {
"total_items": 2,
"total_reviews": 50225,
"first_item": {
"id": "9c379515-e01e-49b8-9f9f-bf3677eeff8e",
"rating": 5,
"title": null,
"text": "香り高く美味しいコーヒーを提供するために特別にブレンドされたコーヒー豆です。",
"author": "購入者さん",
"author_sex": null,
"author_age_range": null,
"posted_date": "2026-05-03",
"ordered_date": "2025-11-25",
"helpful_count": 2,
"purpose_tags": [
"自分用",
"実用品・普段使い"
],
"sku_info": "挽き方:店長のおすすめ挽き(中挽き) | 内容量:500g×2(約100杯分)",
"images": [],
"media": [],
"shop_reply": null,
"shop_reply_date": null
},
"items": [
{
"id": "9c379515-e01e-49b8-9f9f-bf3677eeff8e",
"rating": 5,
"title": null,
"text": "香り高く美味しいコーヒーを提供するために特別にブレンドされたコーヒー豆です。",
"author": "購入者さん",
"author_sex": null,
"author_age_range": null,
"posted_date": "2026-05-03",
"ordered_date": "2025-11-25",
"helpful_count": 2,
"purpose_tags": [
"自分用",
"実用品・普段使い"
],
"sku_info": "挽き方:店長のおすすめ挽き(中挽き) | 内容量:500g×2(約100杯分)",
"images": [],
"media": [],
"shop_reply": null,
"shop_reply_date": null
},
{
"id": "8507597a-b07e-47f0-b1ed-1fc7b7145770",
"rating": 5,
"title": null,
"text": "家での大量消費のなか少量補充で本品をチョイス\n上品な味わいで良いのですが、ここん家のは総じて押し弱めテイストな印象で \nまぁそこが美点でもありますねー ここのモカが個人的に好きです",
"author": "Kar SmokyTBさん",
"author_sex": "male",
"author_age_range": 50,
"posted_date": "2026-03-05",
"ordered_date": "2025-10-20",
"helpful_count": 1,
"purpose_tags": [
"家族へ",
"実用品・普段使い"
],
"sku_info": "挽き方:店長のおすすめ挽き(中挽き) | 内容量:400g×2(約80杯分)",
"images": [
"https://image.space.rakuten.co.jp/d/strg/ctrl/8/7a17c56af69c1f3a472cc15573802a8059082bde.06.9.8.3.jpg"
],
"media": [
{
"url": "https://image.space.rakuten.co.jp/d/strg/ctrl/8/7a17c56af69c1f3a472cc15573802a8059082bde.06.9.8.3.jpg",
"thumbnail": "https://image.space.rakuten.co.jp/d/strg/ctrl/8/7a17c56af69c1f3a472cc15573802a8059082bde.06.9.8.3.jpg?thum=120",
"type": "image"
}
],
"shop_reply": "このたびはレビューをお寄せいただき、誠にありがとうございます。上品な味わいをお楽しみいただけているとのことで、大変嬉しく思います。お客様のおっしゃる通り、澤井珈琲の焼きたてコーヒーは、押しの強さが控えめで、飲みやすさを大切にしております。特にモカを気に入っていただけていること、スタッフ一同励みになります。今後も美味しいコーヒーを焼き上げますので、引き続きご愛顧いただければ幸いです。",
"shop_reply_date": "2026-03-06"
}
],
"not_found": false,
"proxy_traffic_bytes": 3126731
},
"total_points": 2
}E-commerce & Marketplaces
Rakuten item reviews
Customer reviews of a Rakuten Ichiba item by shop_code/item_code or URL: rating, text, author, dates, helpful count, purpose tags, SKU, media and shop replies. 1 point per returned record.
POST
/
functions
/
v1
/
run-rakuten-items-reviews
Rakuten item reviews
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Run completed.
Session identifier for this run.
Data source identifier for this endpoint.
True when the scrape stopped early and returned the records collected so far.
Markdown summary of the result, for display.
Structured result payload.
Show child attributes
Show child attributes
Points charged for this run.